Screenshots

Description

THIS APPLICATION IS DESIGNED EXCLUSIVELY FOR USE BY CURRENT CUSTOMERS OF LATITUDE TECHNOLOGIES.

In order to use the SkyNode Messenger app, your aircraft MUST already have a Latitude SkyNode® satellite communications device and Wi-Fi module.

Using technology exclusively available from Latitude Technologies, SkyNode Messenger can connect to a Latitude SkyNode® satellite communications unit from your aircraft's cockpit. SkyNode Messenger provides pilots with an easy way to:
• Send and receive WebSentinel text or email messages
• Send and receive phone calls (a Latitude SkyNode® S200 and compatible headset are required)
• Send SkyNode® event messages, such as "Mark Target" or "Down and Clear"

For more details on how you can equip your aircraft fleet with a SkyNode® communications unit and the SkyNode Messenger app, contact the Latitude sales team. http://latitudetech.com/contact-us/

What’s New

Version 2.2.2

Added support for the SkyNode S200-012

Information

Seller
Latitude Technologies Corporation
Size
63.9 MB
Category
Utilities
Compatibility
Requires iOS 9.0 or later. Compatible with iPhone, iPad and iPod touch.
Languages
Age Rating
Rated 4+
Copyright
© 2017 Latitude Technologies Corporation
Price
Free

Supports

  • Family Sharing

    Up to six family members will be able to use this app with Family Sharing enabled.

More By This Developer

You May Also Like